org.encog.util.file

## Class FileUtil

- java.lang.Object
- - org.encog.util.file.FileUtil

-     public class FileUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static File` | `addFilenameBase(File filename, String base)`
    `static void` | `copy(File source, File target)`
    `static void` | `copy(InputStream is, OutputStream os)`
    `static void` | `copyResource(String resource, File targetFile)`
    `static String` | `forceExtension(String name, String ext)`
    `static String` | `getFileExt(File file)`
    `static String` | `getFileName(File file)`
    `static String` | `readFileAsString(File filePath)`
    `static String` | `readStreamAsString(InputStream is)`
    `static String` | `toStringLiteral(File processFile)`
    `static void` | `writeFileAsString(File path, String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUtil

          public FileUtil()

  - ### Method Detail

    - #### addFilenameBase

          public static File addFilenameBase(File filename,
                             String base)

    - #### getFileName

          public static String getFileName(File file)

    - #### getFileExt

          public static String getFileExt(File file)

    - #### readFileAsString

          public static String readFileAsString(File filePath)
                                         throws IOException

      Throws:
        `IOException`

    - #### readStreamAsString

          public static String readStreamAsString(InputStream is)
                                           throws IOException

      Throws:
        `IOException`

    - #### forceExtension

          public static String forceExtension(String name,
                              String ext)

    - #### writeFileAsString

          public static void writeFileAsString(File path,
                               String str)
                                        throws IOException

      Throws:
        `IOException`

    - #### copy

          public static void copy(File source,
                  File target)

    - #### copy

          public static void copy(InputStream is,
                  OutputStream os)

    - #### copyResource

          public static void copyResource(String resource,
                          File targetFile)

    - #### toStringLiteral

          public static String toStringLiteral(File processFile)

Copyright © 2014. All Rights Reserved.